Subject: [Sipping] draft-ietf-sipping-media-policy-dataset issues: media types

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Fri, 3 Dec 2010 15:15:28 -0500

I am working on draft-ietf-sipping-media-policy-dataset to clean up some issues.  These issues are minor technical changes to make the standard more technically coherent and easier to implement.  As such, I don't think they will be controversial in their essence, but I would like people to look them over to ensure that I am not introducing new problems.

The first issues revolve around media types:

1. In -10, all media type names that are mentioned in a MPDF are explicitly required to be IANA-registered.  Technically, this means that experimental or private-use types can not be used, even in situations where all participants are aware of non-registered media types.  In practice, people will go ahead and use them anyway.  I am proposing to remove the "registered" requirement.

2. In a number of places, media types are called "MIME types".  The latter is common usage, but it is not official, and as RFC 4288 makes clear, media types are independent of their use within MIME.  I've fixed the wording of the draft in a number of places to correct this.

The differences for the above two changes are attached, if you want to see the details.

3. There is an element <mime-type> that is a child of the <codec> element that carries a media type and subtype.  The natural fix would be to change this to <media-type>, but there is already an element of that name that is a child of <stream> that carries a media type (without subtype).  I would like a name that means "media type and subtype", but I can't think of a short one.  Suggestions?

Dale
===================================================================
--- draft-ietf-sipping-media-policy-dataset-11.xml	(revision 4412)
+++ draft-ietf-sipping-media-policy-dataset-11.xml	(working copy)
@@ -174,7 +174,7 @@
     <t>This section discusses fundamental properties of the Media
     Policy Dataset Format (MPDF).</t>
 
-    <section title="Namespace and MIME Type">
+    <section title="Namespace and Media Type">
 
       <t>The MPDF format is based on XML <xref
       target="W3C.REC-xml-20040204" />. A MPDF document MUST be
@@ -195,7 +195,7 @@
         <t>urn:ietf:params:xml:ns:mediadataset</t>
       </list></t>
 
-      <t>The MIME type for the Media Policy Dataset Format is:</t> 
+      <t>The media type for the Media Policy Dataset Format is:</t> 
 
       <t><list style="empty">
         <t>application/media-policy-dataset+xml</t>
@@ -949,10 +949,8 @@
     <section title="The <media-type> Element" anchor="sec:mediatype">
 
       <t>The &lt;media-type&gt; element identifies a specific media
-      type. The value of this element MUST be the name of a IANA
-      registered media type (see <xref
-      target="RFC4566">RFC4566</xref>), such as 'audio', 'video',
-      'text', or 'application'. </t>
+      type. The value of this element MUST be the name of a 
+      media type such as 'audio', 'video', 'text', or 'application'. </t>
 
       <t>This element MAY have the following attribute (see
       <xref target="sec:attributes" />): q.</t>
@@ -968,11 +966,9 @@
     <section title="The <codec> Element">
 	  
       <t>The &lt;codec&gt; element identifies a specific codec. The
-      content of this element MUST be a registered MIME type
-      <xref target="RFC4855" /> using media type and subtype (e.g.,
+      content of this element MUST be a media type and subtype (e.g.,
       audio/PCMA <xref target="RFC4856"/> or video/H263
-      <xref target="RFC4629"/>) and possibly additional registered
-      MIME type parameters.</t>
+      <xref target="RFC4629"/>), possibly with parameters.</t>
 
       <t>The &lt;codec&gt; element MAY have the following attribute
       (see <xref target="sec:attributes" />): q.</t>
@@ -989,9 +985,9 @@
 
         <section title="The <mime-type> Element">
 
-	  <t>The &lt;mime-type&gt; element contains a MIME type that
+	  <t>The &lt;mime-type&gt; element contains a media type and subtype that
           identifies a codec. The value of this element MUST be a
-          combination of a registered MIME media type and subtype
+          media type and subtype
           <xref target="RFC4855" /> separated by a "/"
           (e.g., audio/PCMA, audio/G726-16 <xref target="RFC4856"/> or
           video/H263 <xref target="RFC4629"/>). </t>
@@ -1003,7 +999,7 @@
 	  <t>The &lt;mime-parameter&gt; element may be needed for some
           codecs to identify a particular encoding or profile. The
           value of this element MUST be a name-value pair containing
-          the name and the value of a registered MIME type parameter
+          the name and the value of a media type parameter
           for the codec <xref target="RFC4855" />. The name and value
           are separated by a "=". For example, the parameter
           "profile=0" can be used to specify a specific profile for
@@ -1145,9 +1141,7 @@
       &lt;max-stream-bw&gt; element only applies to streams of
       a certain media type. For example, it may only apply to audio
       streams. The value of the 'media-type' attribute MUST be the
-      name of a IANA registered media type (see <xref
-      target="RFC4566">RFC4566</xref>), such as 'audio', 'video',
-      'text', or 'application'.</t>
+      media type such as 'audio', 'video', 'text', or 'application'.</t>
 
       <t>The label attribute is used to define a bandwidth limit for a
       specific media stream. The use of this attribute requires that
@@ -1190,10 +1184,8 @@
       <t>The media-type attribute is used to define that
       &lt;qos-dscp&gt; element only applies to streams of a certain
       media type. For example, it may only apply to audio streams. The
-      value of the 'media-type' attribute MUST be the name of a IANA
-      registered media type (see <xref
-      target="RFC4566">RFC4566</xref>), such as 'audio', 'video',
-      'text', or 'application'.</t>
+      value of the 'media-type' attribute MUST be the name of a 
+      media type, such as 'audio', 'video', 'text', or 'application'.</t>
 
 <!--
       <t><list style="empty">
@@ -2491,15 +2483,15 @@
 
   <section title="IANA Considerations" anchor="sec:iana">
 
-    <t>This document registers a new MIME type,
+    <t>This document registers a new media type,
     application/media-policy-dataset+xml, and a new XML 
     namespace. </t> 
 
-    <section title="MIME Registration">
+    <section title="Media type Registration">
 
-      <t>MIME media type name: application</t>
+      <t>Media type name: application</t>
 
-      <t>MIME subtype name: media-policy-dataset+xml</t>
+      <t>Media subtype name: media-policy-dataset+xml</t>
 
       <t>Mandatory parameters: none</t>
======================================================================